Rake db:dropアップグレードされたruby 1.9.3-p0とRails 3.2の後には動作しません

/Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:2:warning:すでに初期化された定数VERSION /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:5:warning:既に初期化された定数MAJOR /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:5:warning:既に初期化された定数MINOR /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:5:warning:既に初期化された定数BUILD /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:5:警告:既に初期化された定数パッチ /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/version.rb:6:warning:既に初期化された定数NUMBERS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake.rb:27:warning:既に初期化された定数RAKEVERSION /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/early_time.rb:17:warning:既に初期化された定数EARLY /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/alt_system.rb:32:警告:既に初期化された定数WINDOWS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/application.rb:31:警告:既に初期化された定数DEFAULT_RAKEFILES 警告:Rake拡張と競合する可能性があります:文字列#extは既に存在します 警告:Rake拡張と競合する可能性があります:String#pathmapは既に存在します /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/task_arguments.rb:77:警告:既に初期化された定数EMPTY_TASK_ARGS /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/invocation_chain.rb:49:警告:既に初期化された定数EMPTY /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_utils.rb:9:warning:既に初期化された定数RUBY /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_utils.rb:86:warning:既に初期化された定数LN_SUPPORTED /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/file_utils_ext.rb:16:警告:既に初期化された定数DEFAULT /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/dsl_definition.rb:150:warning:既に初期化されている定数DeprecatedCommands /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_list.rb:44:warning:既に初期化された定数ARRAY_METHODS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/file_list.rb:47:warning:すでに初期化された定数MUST_DEFINE /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_list.rb:51:warning:すでに初期化された定数MUST_NOT_DEFINE /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_list.rb:55:warning:既に初期化された定数SPECIAL_RETURN /Users/aditidhus/.rvm/gems/[email protected]/rake-0.9.2.2/lib/rake/file_list.rb:61:warning:既に初期化された定数DELEGATING_METHODS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/file_list.rb:364:warning:既に初期化された定数DEFAULT_IGNORE_PATTERNS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake/file_list.rb:370:warning:既に初期化された定数DEFAULT_IGNORE_PROCS /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake.rb:68:warning:既に初期化されている定数FileList /Users/aditidhus/.rvm/gems/[email protected]/gems/rake-0.9.2.2/lib/rake.rb:69:warning:既に初期化された定数RakeFileUtils レーキは打ち切られた! スタックレベルが深すぎる

1
あなたは何からアップグレードしましたか?どのデータベースですか?
追加された 著者 Marc Talbot,
トレースした後、/Users/aditidhus/.rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/l‌ ib/rake/rake_module。‌ rb:25に問題があることがわかりました。これは評価されて....!
追加された 著者 Rameshwar Vyevhare,
私は、ルビ1.9.2とレール3.0をルビ1.9.3とレール3.2にアップグレードしました。すべて正常に動作しますが、データベースを再作成できません。短いrakeコマンドは機能しません。私はまた動作するバンドルexec rakeコマンドを試しましたが、エラーpg_dumpを与えました:コマンドライン引数が多すぎます(最初は "3"です)。詳細については、 "pg_dump --help"を試してみてください。レーキは打ち切られた!エラーダンプデータベース
追加された 著者 Rameshwar Vyevhare,

1 答え

以下を使用してみてください: bundle exec rails db:drop

2
追加された
バンドルexec rake db:dropと言っていますか?
追加された 著者 Rameshwar Vyevhare,